html, body {overflow-x: hidden;}

body {
    font-family: 'Merriweather', serif;
    font-weight: 500; /* Normal weight for body text */
    margin: 0;
    padding: 0;
    background-color: #f0f0f0; /* Light grey background */
    line-height: 1.6; /* Improved readability */
}

header {
    background-color: #e0e0e0;
    display: flex; /* Use flexbox to align items */
    justify-content: space-between; /* Distribute items to the left and right */
    align-items: center; /* Vertically center items */
}

header h1 {
    margin: 10px 10px 10px 10px; /* Adjust margins for top, right, bottom, and left */
    /* Other styles remain unchanged */
}

h1 {
    margin-left: 10px;
    margin-top: 0;
    color: #00415a;
}

h3 {
    margin-bottom: 20px;
    text-align: center;
    color: #00415a;
    font-style: italic;
}

.carousel-container {
    width: 100%;
    position: relative;
    overflow: hidden;
    margin: 20px 0;
}

.carousel {
    white-space: nowrap;
    animation: carouselAnimation 70s infinite linear;
}

.carousel-item {
    display: inline-block;
    padding: 10px;
    vertical-align: top;
    background: #efefef; /* Light background for carousel items */
    border-radius: 5px; /* Rounded corners */
}

.carousel-item:last-child {
    margin-right: 0; /* Remove margin from the last item */
}

.carousel-item img {
    max-width: 300px;
    max-height: 300px;
    margin: 10px 10px;
}

@keyframes carouselAnimation {
    0% {
        transform: translateX(20);
    }
    100% {
        transform: translateX(-200%);
    }
}

 img {
    width:100%;
    height: auto; /* Maintain aspect ratio */
    max-height: calc(100vh - 350px); /* Set maximum height to fill available space */
    max-width: 100%;
    display: block; /* Make the image a block element */
    margin: 0 auto; /* Center the image horizontally */
}

.sticky {
	position: fixed;
	top: 0;
    width: 100%;
    z-index: 1000;
}

nav {
    flex-grow: 1; /* Allow the navigation to take up remaining space */
    text-align: center; /* Center align navigation links */
    font-size: 18px;
}

nav ul {
    list-style-type: none;
    margin: 0;
    padding: 0;
    display: inline-block; /* Ensure inline display to center properly */
}

nav ul li {
    display: inline;
    margin-right: 20px;
}

nav ul li a {
    color: #00415a;
    text-decoration: none;
    font-weight: 700;
}

nav ul li a:hover {
    background-color: #9e9e9e; /* Change background color on hover */
    padding: 8px 12px; /* Adjust padding to make it visually clear */
    border-radius: 5px; /* Add some border radius for better appearance */
}

section {
    padding: 5px 0; /* Added padding for better spacing */
    background: #efefef; /* White background for sections */
    margin: 20px auto; /* Adjusted margins for better alignment */
    max-width: 1100px; /* Max width to contain the section content */
    font-size: 18px;
    color: #00415a;
}

section p {
    margin-bottom: 20px;
}

footer {
    background-color: #e0e0e0;
    text-align: center;
    padding: 10px;
    bottom: 0;
    width: 100%;
    color: #00415a;
    font-weight: 700;
}

@media (max-width: 768px) {
    body {
        padding-top: 50px; /* Adjust this value according to the height of your header */
    }

    header h1 {
        margin: 0 9px 0 0; /* Adjust margins for top, right, bottom, and left */
    }
    nav ul {
        text-align: center; /* Center align the list items */
    }

    nav ul li {
        display: inline-block; /* Display list items horizontally */
        margin: 2px; /* Add some spacing between list items */
    }

    .carousel-container {
        display: none; /* Hide the carousel container on mobile */
    }

    section {
        margin-left: 10px; /* Reduced margin for small screens */
        margin-right: 10px;
    }
}

